<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [$$eval](./puppeteer.page.__eval.md)

## Page.$$eval() method

<b>Signature:</b>

```typescript
$$eval<ReturnType extends any>(selector: string, pageFunction: Function | string, ...args: unknown[]): Promise<ReturnType>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  selector | string |  |
|  pageFunction | Function \| string |  |
|  args | unknown\[\] |  |

<b>Returns:</b>

Promise&lt;ReturnType&gt;

